Đến nội dung


Hình ảnh
- - - - -

giúp hoàn thiện lisp


  • Please log in to reply
4 replies to this topic

#1 ngtiens

ngtiens

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 25 December 2014 - 08:23 AM

http://www.cadviet.c...137107_lisp.doc

lúc trước e có nhờ bác hà làm đoạn lisp này. tức là hiện ra số random . nhưng khi vô cad nó mặc định độ cao là 0.2 . chỉnh cở chử to hơn thì bấm lệnh nó ko ra nữa. mong các bạn giúp mình đưa nó về cở chữ là 2 giùm e ạ

 

 

;----- Random so trong khoang tu a den b.
(defun C:TI()
 (defun rand(a B)
;  (+ a (fix (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2)))))))
  (+ a (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2))))))
 (setq a (getreal "\nSo bat dau: "))
 (setq b (getreal "\nSo gioi han: ")) 
 (while (setq p (getpoint "\nPick point: "))
  (command "text" p "" "" (rtos (rand a B) 2 2) "")))

http://www.cadviet.c...4/137107_cd.lsp

 

file cad e up no ko hiện lên để e up đoạn mã code vào file word cho các bác xem

;----- Random so trong khoang tu a den b.
(defun C:TI()
 (defun rand(a B)
;  (+ a (fix (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2)))))))
  (+ a (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2))))))
 (setq a (getreal "\nSo bat dau: "))
 (setq b (getreal "\nSo gioi han: ")) 
 (while (setq p (getpoint "\nPick point: "))
  (command "text" p "" "" (rtos (rand a B) 2 2) "")))
;----- Random so trong khoang tu a den b.
(defun C:TI()
 (defun rand(a B)
;  (+ a (fix (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2)))))))
  (+ a (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2))))))
 (setq a (getreal "\nSo bat dau: "))
 (setq b (getreal "\nSo gioi han: ")) 
 (while (setq p (getpoint "\nPick point: "))
  (command "text" p "" "" (rtos (rand a B) 2 2) "")))
;----- Random so trong khoang tu a den b.
(defun C:TI()
 (defun rand(a B)
;  (+ a (fix (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2)))))))
  (+ a (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2))))))
 (setq a (getreal "\nSo bat dau: "))
 (setq b (getreal "\nSo gioi han: ")) 
 (while (setq p (getpoint "\nPick point: "))
  (command "text" p "" "" (rtos (rand a B) 2 2) "")))
;----- Random so trong khoang tu a den b.
(defun C:TI()
 (defun rand(a B)
;  (+ a (fix (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2)))))))
  (+ a (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2))))))
 (setq a (getreal "\nSo bat dau: "))
 (setq b (getreal "\nSo gioi han: ")) 
 (while (setq p (getpoint "\nPick point: "))
  (command "text" p "" "" (rtos (rand a B) 2 2) "")))

  • 0

#2 ngtiens

ngtiens

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 25 December 2014 - 02:57 PM

e làm giống như bác rồi nhưng khi mình thay đổi kiểu chữ thì bấm lênh nó ko ra số nữa. còn không thay đổi j thì nó ra chử mặc định. nhưng khi mình thay đổi j thì bấm ko ra số nữa

 bác hà giúp giùm e ạ


  • 0

#3 namdo0350

namdo0350

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 December 2014 - 03:32 PM

em đang tập đọc bản vẽ.e xin được 1 số bản vẽ  mặt bằng và mặt đứng công trình.

người cho em bản vẽ nói là tòa nhà bao kính 4 xung quanh và không có tường 220 bao ngoài.nhưng em nhìn trong bản vẽ mặt bằng thì kính đặt trên tường 220.

các bác có kinh nghiệm xem giúp em xem có tường xây 220 bao ngoài không.

và công trình này có hình chữ U. như thế có sợ gió thổi đổ không.em đang cần làm gấp.mong các  bác giúp đỡ.

e xin cảm ơn!

http://www.cadviet.c...17_drawing1.dwg


  • 0

#4 ngtiens

ngtiens

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 26 December 2014 - 06:04 PM

ok được rồi , noel nên hơi bận ko on dc. cám ơn bác hà nhá .


  • -1

#5 ngtiens

ngtiens

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 02 January 2015 - 04:28 PM

http://www.cadviet.c...137107_lisp.doc

bác hà ơi chỉnh lại giùm mình cái. khi e dùng lệnh ucs rồi nhấn z quay góc khi mình bấm lệnh nó ko hiện ngay chổ mình bấm mà cách 1 khoảng xa lắm bác chỉnh lại giùm e ạ


  • 0